aboutsummaryrefslogtreecommitdiff
path: root/testsuite/testing.sh
diff options
context:
space:
mode:
authorRob Landley <rob@landley.net>2010-08-13 15:50:26 +0200
committerDenys Vlasenko <vda.linux@googlemail.com>2010-08-13 15:50:26 +0200
commit1bbc0cd7f293aac5e15d6c1e16bee9f1484c6fbf (patch)
treea2a5ba8d9508982f80b702a99c2e10d1644ae40e /testsuite/testing.sh
parentdcaed97e0f44d0cd285fb590ec6ec80d0d73e738 (diff)
downloadbusybox-1bbc0cd7f293aac5e15d6c1e16bee9f1484c6fbf.tar.gz
patch: replace it with toybox's implementation
Signed-off-by: Rob Landley <rob@landley.net> Signed-off-by: Denys Vlasenko <vda.linux@googlemail.com>
Diffstat (limited to 'testsuite/testing.sh')
-rw-r--r--testsuite/testing.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/testsuite/testing.sh b/testsuite/testing.sh
index f907deade..c7c9ca6af 100644
--- a/testsuite/testing.sh
+++ b/testsuite/testing.sh
@@ -1,4 +1,4 @@
-# Simple test harness infrastructurei for BusyBox
+# Simple test harness infrastructure for BusyBox
#
# Copyright 2005 by Rob Landley
#
@@ -87,6 +87,7 @@ testing()
$ECHO -ne "$3" > expected
$ECHO -ne "$4" > input
+ [ -z "$VERBOSE" ] || echo "echo -ne '$4' >input"
[ -z "$VERBOSE" ] || echo "echo -ne '$5' | $2"
$ECHO -ne "$5" | eval "$2" > actual
RETVAL=$?